# Uses of Interface
javax.crypto.KDFParameters

Packages that use KDFParameters
Package
Description
javax.crypto
Provides the classes and interfaces for cryptographic operations.

## Uses of KDFParameters in javax.crypto

Methods in javax.crypto that return KDFParameters
Modifier and Type
Method
Description
`protected abstract KDFParameters`
KDFSpi.`engineGetParameters()`
Returns the `KDFParameters` used with this `KDF` object.
`KDFParameters`
KDF.`getParameters()`
Returns the `KDFParameters` used with this `KDF` object.
Methods in javax.crypto with parameters of type KDFParameters
Modifier and Type
Method
Description
`static KDF`
KDF.`getInstance(String algorithm, KDFParameters kdfParameters)`
Returns a `KDF` object that implements the specified algorithm and is initialized with the specified parameters.
`static KDF`
KDF.`getInstance(String algorithm, KDFParameters kdfParameters, String provider)`
Returns a `KDF` object that implements the specified algorithm from the specified provider and is initialized with the specified parameters.
`static KDF`
KDF.`getInstance(String algorithm, KDFParameters kdfParameters, Provider provider)`
Returns a `KDF` object that implements the specified algorithm from the specified provider and is initialized with the specified parameters.
Constructors in javax.crypto with parameters of type KDFParameters
Modifier
Constructor
Description
`protected`
`KDFSpi(KDFParameters kdfParameters)`
The sole constructor.